public class gibbstest3 {
	
	public static void main(String[] arg){	
		 String iLK[]={ "co","o2","co2" };  	             
    	 double[] n0={1,1,0};
		 double Te[]={3000,3000,3000};	    
		 double T1=3000;
		 double P1=1.01325;
		 int nmax1=500;//iterasyon sayısı
		 System.out.println("---------------------------------");		
		 gibbs g1=new gibbs(iLK,n0,Te,T1,P1,nmax1);
		 System.out.println("---------------------------------");
		 g1.getEq();
		 for(int i=0;i<g1.n.length;i++) System.out.println(g1.gs[i].Formula+"   "+g1.n[i][0]);
		 System.out.println("Q= "+g1.delQ());
		 System.out.println("A= "+Matrix.toString(g1.A));
		 //System.out.println("Q Airad= "+g1.delQAir(0.27189,9,5));		
		//System.out.println("delH=0 Air = "+g1.Airad(0,0.0001,1.0));
		// System.out.println("Tad= "+g1.Tad(-10000));
		 //for(int i=0;i<g1.n.length;i++) System.out.println(g1.gs[i].Formula+"   "+g1.n[i][0]);		
		//System.out.println("Q ikinci= "+g1.delQ_T(100));
		 System.out.println("---------------------------------");
		/*g1.setT(1023.15);
		g1.getEq();*/	
		//System.out.println("Math.exp(241) "+Math.exp(-241));	
	}

}